## gegl-operations

gegl-operations

## Functions

GType | gegl_operation_gtype_from_name ()
gchar ** | gegl_list_operations ()
void | gegl_operation_gtype_init ()
void | gegl_operation_gtype_cleanup ()
void | gegl_operation_class_register_name ()
void | gegl_operations_set_licenses_from_string ()

## Description

## Functions

### gegl_operation_gtype_from_name ()

    GType
    gegl_operation_gtype_from_name (const gchar *name);

### gegl_list_operations ()

    gchar **
    gegl_list_operations (guint *n_operations_p);

#### Parameters

n_operations_p | return location for number of operations. | [out caller-allocates]

#### Returns

An alphabetically sorted array of available operation names. This excludes any compat-name registered by operations. The list should be freed with g_free after use. --- gchar **operations; guint n_operations; gint i;

operations = gegl_list_operations (&n_operations); g_print ("Available operations:\n"); for (i=0; i < n_operations; i++) { g_print ("\t`s`\n", operations[i]); } g_free (operations);.

[transfer container][array length=n_operations_p]

### gegl_operation_gtype_init ()

    void
    gegl_operation_gtype_init (void);

### gegl_operation_gtype_cleanup ()

    void
    gegl_operation_gtype_cleanup (void);

### gegl_operation_class_register_name ()

    void
    gegl_operation_class_register_name (GeglOperationClass *klass,
                                        const gchar *name,
                                        const gboolean is_compat);

### gegl_operations_set_licenses_from_string ()

    void
    gegl_operations_set_licenses_from_string
                                   (const gchar *license_str);